Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class MessageDestinationTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.MessageDestinationTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDestinationType<T>

    public class MessageDestinationTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDestinationType<T>

This class implements the `message-destinationType` xsd type

Original Documentation:

[
The message-destinationType specifies a message
destination. The logical destination described by this
element is mapped to a physical destination by the Deployer.
The message destination element contains:
- an optional description
- an optional display-name
- an optional icon
- a message destination name which must be unique
among message destination names within the same
Deployment File.
- an optional mapped name
- an optional lookup name
Example:
CorporateStocks

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MessageDestinationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MessageDestinationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<MessageDestinationType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getLookupName()` Returns the `lookup-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getMessageDestinationName()` Returns the `message-destination-name` element
`IconType<MessageDestinationType<T>>` | `icon()` Returns the `icon` element
`MessageDestinationType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDestinationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`MessageDestinationType<T>` | `removeAllIcon()` Removes all `icon` elements
`MessageDestinationType<T>` | `removeLookupName()` Removes the `lookup-name` element
`MessageDestinationType<T>` | `removeMappedName()` Removes the `mapped-name` element
`MessageDestinationType<T>` | `removeMessageDestinationName()` Removes the `message-destination-name` element
`MessageDestinationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDestinationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDestinationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`MessageDestinationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`MessageDestinationType<T>` | `setLookupName(java.lang.String lookupName)` If not already created, a new `lookup-name` element with the given value will be created.
`MessageDestinationType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`MessageDestinationType<T>` | `setMessageDestinationName(java.lang.String messageDestinationName)` If not already created, a new `message-destination-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDestinationTypeImpl

    public MessageDestinationTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### MessageDestinationTypeImpl

    public MessageDestinationTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public MessageDestinationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### setDescriptionList

    public MessageDestinationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `MessageDestinationType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDestinationType`

### removeAllDescription

    public MessageDestinationType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `MessageDestinationType<T>`
  Returns:
    list of `description`

### setDisplayName

    public MessageDestinationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### setDisplayNameList

    public MessageDestinationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `MessageDestinationType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `MessageDestinationType`

### removeAllDisplayName

    public MessageDestinationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `MessageDestinationType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public MessageDestinationType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### icon

    public IconType<MessageDestinationType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `MessageDestinationType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<MessageDestinationType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `MessageDestinationType<T>`
  Returns:
    list of `icon`

### setMessageDestinationName

    public MessageDestinationType<T> setMessageDestinationName(java.lang.String messageDestinationName)

  If not already created, a new `message-destination-name` element with the given value will be created. Otherwise, the existing `message-destination-name` element will be updated with the given value.

  Specified by:
    `setMessageDestinationName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### removeMessageDestinationName

    public MessageDestinationType<T> removeMessageDestinationName()

  Removes the `message-destination-name` element

  Specified by:
    `removeMessageDestinationName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### getMessageDestinationName

    public java.lang.String getMessageDestinationName()

  Returns the `message-destination-name` element

  Specified by:
    `getMessageDestinationName` in interface `MessageDestinationType<T>`
  Returns:
    the node defined for the element `message-destination-name`

### setMappedName

    public MessageDestinationType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### removeMappedName

    public MessageDestinationType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `MessageDestinationType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setLookupName

    public MessageDestinationType<T> setLookupName(java.lang.String lookupName)

  If not already created, a new `lookup-name` element with the given value will be created. Otherwise, the existing `lookup-name` element will be updated with the given value.

  Specified by:
    `setLookupName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### removeLookupName

    public MessageDestinationType<T> removeLookupName()

  Removes the `lookup-name` element

  Specified by:
    `removeLookupName` in interface `MessageDestinationType<T>`
  Returns:
    the current instance of `MessageDestinationType`

### getLookupName

    public java.lang.String getLookupName()

  Returns the `lookup-name` element

  Specified by:
    `getLookupName` in interface `MessageDestinationType<T>`
  Returns:
    the node defined for the element `lookup-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD